function out = lopas(spiky)
  [rows,cols] = size(spiky);
  lopa = zeros(rows,1);
  lopa(rows) = 1/5;
  lopa(rows-1) = 1/5;
  lopa(rows-2) = 1/5;
  lopa(1) = 1/5;
  lopa(2) = 1/5;
  out(:,1) = spiky(:,1);
  out(:,2) = real(ifft(fft(spiky(:,2)).*fft(lopas)));
end
